# Uses of Enum Class
org.bukkit.entity.Skeleton.SkeletonType

Packages that use Skeleton.SkeletonType
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Skeleton.SkeletonType in org.bukkit.entity

Methods in org.bukkit.entity that return Skeleton.SkeletonType
Modifier and Type
Method
Description
`Skeleton.SkeletonType`
AbstractSkeleton.`getSkeletonType()`
Deprecated.
should check what class instance this is.
`static Skeleton.SkeletonType`
Skeleton.SkeletonType.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static Skeleton.SkeletonType[]`
Skeleton.SkeletonType.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Skeleton.SkeletonType
Modifier and Type
Method
Description
`void`
AbstractSkeleton.`setSkeletonType(Skeleton.SkeletonType type)`
Deprecated.
Must spawn a new subtype variant